Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.delta
Class SetValueOperation.Externalizer

    java.lang.Object
      org.infinispan.schematic.internal.SchematicExternalizer<SetValueOperation>
          org.infinispan.schematic.internal.delta.SetValueOperation.Externalizer

All Implemented Interfaces:
  Serializable, org.infinispan.marshall.Externalizer<SetValueOperation>

Enclosing class:
  SetValueOperation

    @SerializeWith(value=SetValueOperation.Externalizer.class)
    public static final class SetValueOperation.Externalizer

extends SchematicExternalizer<SetValueOperation>

See Also:
  Serialized Form

Constructor Summary
`SetValueOperation.Externalizer()`

Method Summary
`Integer` | `getId()`
`Set<Class<? extends SetValueOperation>>` | `getTypeClasses()`
`SetValueOperation` | `readObject(ObjectInput input)`
`void` | `writeObject(ObjectOutput output, SetValueOperation put)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetValueOperation.Externalizer

    public SetValueOperation.Externalizer()

Method Detail

### writeObject

    public void writeObject(ObjectOutput output,
                            SetValueOperation put)
                     throws IOException

  Throws:
    `IOException`

### readObject

    public SetValueOperation readObject(ObjectInput input)
                                 throws IOException,
                                        ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public Integer getId()

  Specified by:
    `getId` in class `SchematicExternalizer<SetValueOperation>`

### getTypeClasses

    public Set<Class<? extends SetValueOperation>> getTypeClasses()

  Specified by:
    `getTypeClasses` in class `SchematicExternalizer<SetValueOperation>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.